using System.Drawing;

namespace ZionGraphics.Filtering
{
    class HistogramEqualization : IFilter
    {
        public override Bitmap Apply(Bitmap bitmap)
        {
            AForge.Imaging.Filters.HistogramEqualization filter = new AForge.Imaging.Filters.HistogramEqualization();
            filter.ApplyInPlace(bitmap);
            return bitmap;
        }
    }
}
